document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_9600
--- +++ @@ -5,7 +5,7 @@ # Renaming files into folders. echo 'set -x' > mkdir.txt -cat urls.tsv | awk -F'\t' '(NR>1){a=$1"_"$2"_"$3"_"$4".tar.gz"; print "mkdir -p "$1"; mv "$6" "$1"/"a}' >> mkdir.txt +cat urls.tsv | awk -F'\t' '(NR>1){a=$1"_"$2"_"$3"_"$4".tar.gz"; print "mkdir -p "$1"; mv "$7" "$1"/"a}' >> mkdir.t...
bash
d_bash_9601
--- +++ @@ -22,16 +22,16 @@ ${DIR}/install_golint.sh -b $GOPATH/bin v1.9.3 fi -# TODO(tstromberg): enable deadcode, megacheck once code base is ready. +# TODO(tstromberg): enable golint, deadcode, megacheck once code base is ready. golangci-lint run \ --no-config \ -E goconst \ -E gofmt \ -E goimports \...
bash
d_bash_9602
--- +++ @@ -26,17 +26,9 @@ STORMCRAWLER="storm jar $PWD/lib/crawler.jar" -# inject seeds into Elasticsearch -$STORMCRAWLER com.digitalpebble.stormcrawler.elasticsearch.ESSeedInjector \ - $PWD/seeds '*' -conf $PWD/conf/es-conf.yaml -conf $PWD/conf/crawler-conf.yaml -# alternatively running the flux -#$STORMCRAWLE...
bash
d_bash_9603
--- +++ @@ -16,9 +16,9 @@ ln -s ../sites-available/cyberdojo cyberdojo rm railsapp cd /etc/apache2/conf -sed s/railsapp/cyberdojo/ <railsapp.conf >cyberdojo.conf +sed s/railsapp/cyber-dojo/ <railsapp.conf >cyberdojo.conf rm railsapp.conf -cd /var/www/cyberdojo/admin_scripts +cd /var/www/cyber-dojo/admin_scripts ...
bash
d_bash_9604
--- +++ @@ -16,8 +16,8 @@ EOF cd "$HOME" -git config --global user.email "travis@travis-ci.org" -git config --global user.name "travis-ci" +git config --global user.email "travis-ci@znc.in" +git config --global user.name "znc-travis" git clone --branch=gh-pages znc-docs:znc/docs.git gh-pages || exit 1 cd gh-p...
bash
d_bash_9605
--- +++ @@ -16,44 +16,8 @@ rm -rf narrative git clone https://github.com/kbase/narrative narrative cd narrative - -# install ipython from a specific git branch -git clone https://github.com/ipython/ipython.git -b ${ipython_branch} -cd ipython -python setup.py install - git submodule init git submodule update -c...
bash
d_bash_9606
--- +++ @@ -1,5 +1,5 @@ #!/bin/zsh -echo "Compilando, espera.." -gcc -O2 -Wall -ansi -o stret sol_triang.c soluc.c -lm -echo "Finalizado." +# echo "Compilando, espera.." +# gcc -O2 -Wall -ansi -o stret sol_triang.c soluc.c -lm +# echo "Finalizado."
bash
d_bash_9607
--- +++ @@ -15,4 +15,8 @@ fi ID=mitx-${GIT_BRANCH}-${BUILD_NUMBER}-${GIT_COMMIT} -tar --exclude=.git --exclude=build -czf build/${ID}.tgz ${REPO} +REPO_ROOT=$(dirname $0)/.. +BUILD_DIR=${REPO_ROOT}/build + +mkdir -p ${BUILD_DIR} +tar -v --exclude=.git --exclude=build --transform="s#^#mitx/#" -czf ${BUILD_DIR}/${I...
bash
d_bash_9608
--- +++ @@ -29,6 +29,11 @@ then # Change the 'host' entry in .gcf/gcf_config to fit the configuration python modify_conf_env.py ~/.gcf/gcf_config host control_host "" | sh + + # Install gram_ssh_proxy + cd ~gram/gram/src/gram/am/gram + make gram_ssh_proxy + # Install and start up gram on the ...
bash
d_bash_9609
--- +++ @@ -12,6 +12,7 @@ grunt-init hexo-cli karma-cli + @captainsafia/legit licensor linken mocha
bash
d_bash_9610
--- +++ @@ -1,7 +1,16 @@ #!/usr/bin/env bash -if [ -n "$METEOR_SETTINGS_PATH" ]; then - meteor --settings $METEOR_SETTINGS_PATH $@ +# For sure can do a better DRY job here, but no time right now +if [ -n "$METEOR_APP_HOME" ]; then + if [ -n "$METEOR_SETTINGS_PATH" ]; then + cd $METEOR_APP_HOME && meteor --sett...
bash
d_bash_9611
--- +++ @@ -12,6 +12,9 @@ exit -1 fi +nuget install ./Editor/Effekseer/packages.config -o ./Editor/packages/ +nuget install ./Editor/EffekseerCore/packages.config -o ./Editor/packages/ + msbuild Editor/EffekseerCore/EffekseerCore.csproj /t:build /p:Configuration=Release /p:Platform=x86 msbuild Editor/Effeks...
bash
d_bash_9612
--- +++ @@ -25,7 +25,7 @@ (cd "$s" && $CABAL sandbox init --sandbox=../.cabal-sandbox/ && $CABAL sandbox add-source .) done if $TRAVIS ; then - travis_retry $CABAL install -v --enable-tests ${SOURCES[@]} + travis_retry $CABAL install --enable-tests ${SOURCES[@]} else $CA...
bash
d_bash_9613
--- +++ @@ -17,9 +17,8 @@ integer_version="$(cut -d "." -f1 release-version-semver/number)" echo $integer_version > integer-version/tag-file -# move the input release repository into its output location -rm -rf updated-repo -mv bosh-cpi-src updated-repo +# copy the input release repository into its output locatio...
bash
d_bash_9614
--- +++ @@ -6,7 +6,10 @@ } function gi() { - [[ $# -eq 0 ]] && cat .gitignore && return 0 + if [[ $# -eq 0 ]]; then + cat .gitignore + return 0 + fi for t in $*; do get_gitignore_template $t @@ -14,6 +17,11 @@ } function gii() { + if [[ $# -eq 0 ]]; then + cat ...
bash
d_bash_9615
--- +++ @@ -10,6 +10,6 @@ git fetch https://github.com/thelounge/lounge.git refs/pull/${1}/head git checkout FETCH_HEAD npm install -npm run build +NODE_ENV=production npm run build npm test || true npm start
bash
d_bash_9616
--- +++ @@ -16,4 +16,9 @@ export DISPLAY=:1 -pjsua --capture-dev=$CAPTURE_DEV --playback-dev=$PLAYBACK_DEV --config-file $CONFIG_FILE sip:$SIP_ADDRESS --log-file=$LOG_FILE +pjsua \ + --capture-dev=$CAPTURE_DEV \ + --playback-dev=$PLAYBACK_DEV \ + --config-file $CONFIG_FILE + --log-file=$LOG_FILE \ + ...
bash
d_bash_9617
--- +++ @@ -23,18 +23,11 @@ fi } -# If we are working in the www directory, trim the output to only display from -# that directory up. +# Trim directory up to tail if we are in a .git repository. function control_trim_directory_prompt() { - path=${PWD} - tail=${PWD##*/} - - # First we shoud set the output and t...
bash
d_bash_9618
--- +++ @@ -1,2 +1,2 @@ -CORENLP_OPTIONS="-annotators tokenize,ssplit,pos,lemma,parse -parse.flags \" -makeCopulaHead\"" CORENLP=stanford-corenlp-full-* python3 -m corenlp --memory 1g -p 8999 & +CORENLP_OPTIONS="-parse.flags \" -makeCopulaHead\"" CORENLP=stanford-corenlp-full-* python3 -m corenlp --memory 1g -p 8999 ...
bash
d_bash_9619
--- +++ @@ -3,6 +3,7 @@ download() { TMPDIR=cordova-crosswalk-engine-$$ + mkdir $TMPDIR pushd $TMPDIR > /dev/null echo "Fetching $1..." curl -# $1 -o library.zip
bash
d_bash_9620
--- +++ @@ -1,7 +1,5 @@ #!/bin/sh -echo " $(~/bin/daysuntil 2017-05-05) days - dPDF meeting" > ~/.daysuntil.deadlines -echo " $(~/bin/daysuntil 2017-05-08) days - total scattering school" >> ~/.daysuntil.deadlines -echo " $(~/bin/daysuntil 2017-05-20) days - beer, bbq, bourbon" >> ~/.daysuntil.deadlines +echo " $(...
bash
d_bash_9621
--- +++ @@ -3,6 +3,6 @@ CURRENT_DIR=$PWD cd .. #git clone git://github.com/Yuav/logstash-packaging.git --depth=1 -wget http://logstash.objects.dreamhost.com/release/logstash-${VERSION}-monolithic.jar -O logstash-packaging/usr/share/logstash/logstash.jar +wget http://logstash.objects.dreamhost.com/release/logstash-...
bash
d_bash_9622
--- +++ @@ -3,17 +3,18 @@ # export these in .machine_config # export BW_SESSION="" # export MASTER_PASS="" +source ~/.machine_config -if /usr/local/bin/bw status | grep -q 'unlocked'; then - /usr/local/bin/bw export $MASTER_PASS --format encrypted_json --output ./bitwarden_backup_encrypted.json +if bw status ...
bash
d_bash_9623
--- +++ @@ -2,7 +2,7 @@ set -e # Make sure any error makes the script to return an error code -export DOCKER_IMAGE=mrpt/mrpt-build-env:$DEPS +export DOCKER_IMAGE=mrpt/mrpt-build-env:$DEPS-bionic export STAGE1_OUTPUT_IMAGE=mrpt/mrpt-travis-archive:$DEPS-$CC-$TRAVIS_COMMIT if [ "$STAGE" == "2" ]; then
bash
d_bash_9624
--- +++ @@ -12,4 +12,6 @@ php artisan migrate:fresh php artisan db:seed php artisan storage:link +php artisan lanager:import-steam-apps-csv php artisan lanager:update-steam-apps +php artisan lanager:update-steam-apps-metadata
bash
d_bash_9625
--- +++ @@ -17,7 +17,7 @@ mv -v dist/*.tar.gz dist/release elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then npm run dist:darwin - mv -v dist/osx/*.dmg dist/release + mv -v dist/mac/*.dmg dist/release else echo "Unhandled operating ${TRAVIS_OS_NAME}!" exit 1
bash
d_bash_9626
--- +++ @@ -5,7 +5,6 @@ cd app_client; echo; echo "> Install client node packages"; -npm install --only=dev; npm install; echo "> Compiling static files"; gulp build;
bash
d_bash_9627
--- +++ @@ -4,6 +4,6 @@ source ${THISDIR}/../../../common/functions.sh source ${THISDIR}/../include.sh -echo "smallfiles = true" >>/opt/rh/rh-mongodb26/root/etc/mongodb.conf +echo "smallfiles = true" >>/opt/rh/mongodb24/root/etc/mongodb.conf service "$SERVICE_NAME" start exit $?
bash
d_bash_9628
--- +++ @@ -16,8 +16,12 @@ echo "Fixing jsoncpp library name in Makefile..." sed -e 's/\<ljson\>/ljson_linux-gcc-4.4.7_libmt/g' Makefile > Makefile.tmp && mv Makefile.tmp Makefile +echo "NOTE: This file will NOT work if it is run as a script!" +echo " Instead use the 'source' command like this:" +echo " ...
bash
d_bash_9629
--- +++ @@ -17,6 +17,10 @@ open "/opt/homebrew-cask/Caskroom/java7/1.7.0_72/JDK 7 Update 72.pkg" # Install Java 8. (Requires sudo and interactive GUI.) -# NOTE: To use Java 8, unset JAVA_HOME. +# NOTE: To use Java 8, unset JAVA_HOME, or set it to /Library/Java/JavaVirtualMachines/jdk1.8.0_25.jdk/Contents/Home. b...
bash
d_bash_9630
--- +++ @@ -1,3 +1,4 @@ # System execution path -export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin:$HOME/.cabal/bin:$HOME/bin +export PATH="/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:\ +/usr/X11R6/bin:$HOME/.cabal/bin:/usr/local/bin:$HOME/bin"
bash
d_bash_9631
--- +++ @@ -7,8 +7,14 @@ export GOPATH=(pwd) +if [ "$#" -eq 0 ]; then + TEST_MODULES=${MODULES[@]} +else + TEST_MODULES=( $@ ) +fi + pushd src/ads > /dev/null -for module in ${MODULES[@]} +for module in ${TEST_MODULES[@]} do echo "--------------------------------------------------" echo "Module: $modul...
bash
d_bash_9632
--- +++ @@ -5,5 +5,5 @@ # Right & Left # xrandr --output HDMI1 --primary --mode 1920x1080 --pos 1920x0 --rotate normal --output eDP1 --mode 1920x1080 --pos 0x0 --rotate normal # Top & Down - xrandr --output HDMI1 --primary --mode 1920x1080 --pos 0x0 --rotate normal --output eDP1 --mode 1920x1080 --pos 0x1080 --...
bash
d_bash_9633
--- +++ @@ -6,7 +6,9 @@ source ~/ci/config.default # Create ci network +if [ -z "$(docker network ls | grep ${CI_NETWORK})" ]; then docker network create ${CI_NETWORK} +fi # Create Nexus server. if [ ${#NEXUS_WEBURL} -eq 0 ]; then
bash
d_bash_9634
--- +++ @@ -14,17 +14,17 @@ source /etc/profile.d/chruby-with-ruby-2.1.2.sh semver=`cat version-semver/number` -manifest_dir=bosh-concourse-ci/pipelines/$cpi_release_name -manifest_filename=$manifest_dir/$base_os-$network_type_to_test-director-manifest.yml +manifest_dir=bosh-concourse-ci/pipelines/${cpi_release_n...
bash
d_bash_9635
--- +++ @@ -2,6 +2,10 @@ set -e set -x + +if [ -d empty ]; then + rm -fr empty +fi mkdir empty cd empty
bash
d_bash_9636
--- +++ @@ -3,7 +3,7 @@ if [ -z "$DIORITE_PATH" -o ! -d "$DIORITE_PATH" ]; then echo "Error: Specify the path to the Diorite library repository checkout as the first argument" else - WAF_CONFIGURE=" --flatpak --cdk --webkitgtk-supports-mse" + WAF_CONFIGURE=" --flatpak --cdk --webkitgtk-supports-mse --tiliado-oaut...
bash
d_bash_9637
--- +++ @@ -1,4 +1,7 @@ #!/bin/sh + +# Exit on any failure +set -e # Need to build in docker run step to take env vars into account for e.g. Google Analytics npm run build
bash
d_bash_9638
--- +++ @@ -1,12 +1,6 @@ export NVM_DIR="$HOME/.nvm" if [ -s "$NVM_DIR/nvm.sh" ] ; then . $NVM_DIR/nvm.sh --no-use # This loads nvm -elif brew --prefix nvm > /dev/null; then - echo "loading nvm.sh from brew" - source $(brew --prefix nvm)/nvm.sh --no-use fi -alias node='unalias node ; unalias npm ; nvm use ...
bash
d_bash_9639
--- +++ @@ -13,6 +13,6 @@ # Run cppcheck CPPCHECK_INCLUDE_DIRS=$(find gameserver/ -type d -name 'src' -or -name 'export' | grep -v '/test/' | sed 's/^/-I/') CPPCHECK_IGNORE_DIRS=$(find gameserver/ -type d -name 'test' | sed 's/^/-i/') -cppcheck --std=c++11 --enable=all --error-exitcode=2 --quiet $CPPCHECK_IGNORE_D...
bash
d_bash_9640
--- +++ @@ -4,7 +4,7 @@ export PATH=$PATH:/var/lib/gems/1.8/bin/ # Install latest version of facter -gem install bundler +gem install bundler --no-ri --no-rdoc bundle install --path vendor/bundler operatingsystem=$(bundle exec facter operatingsystem | tr '[:upper:]' '[:lower:]') operatingsystemmajrelease=$(bu...
bash
d_bash_9641
--- +++ @@ -12,7 +12,7 @@ zplug 'mafredri/zsh-async', from:github zplug 'romkatv/powerlevel10k', from:github, as:theme -zplug 'jreese/zsh-titles', from:github +zplug 'trystan2k/zsh-tab-title', from:github if ! zplug check --verbose ; then printf "Install zplug plugins? [y/N]: "
bash
d_bash_9642
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh BINS='grunt bower yuglify' -PROJECT_ROOT="`dirname $0`/../" +PROJECT_ROOT=$(cd "`dirname $0`/.."; pwd) if [ -n $VIRTUAL_ENV ]; then for bin in $BINS
bash
d_bash_9643
--- +++ @@ -1,5 +1,5 @@ mybatis_repo=$(git config --get remote.origin.url 2>&1) if [ "$mybatis_repo" == "https://github.com/mybatis/hazelcast-cache.git" ] && [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_BRANCH" == "master" ]; then - mvn -X deploy --settings ./travis/settings.xml + mvn deploy --settings ./t...
bash
d_bash_9644
--- +++ @@ -17,9 +17,24 @@ readonly HADOOP_PROFILES=( "default" "hadoop-1" "hadoop-2.2" "hadoop-2.3" "hadoop-2.4" "hadoop-2.5" "hadoop-2.6" "hadoop-2.7" "hadoop-2.8" ) function main { + local build_directory="${PWD}" + while [[ "$#" > 0 ]]; do + case $1 in + --directory) build_directory=$2; shift 2 ;; +...
bash
d_bash_9645
--- +++ @@ -13,7 +13,7 @@ -D CMAKE_CXX_FLAGS="-fPIC" \ -DCMAKE_INSTALL_PREFIX=$PREFIX \ -DCMAKE_BUILD_TYPE=Release \ - -DENABLE_STATIC=ON \ + -DBUILD_SHARED_LIBS=OFF \ . make make install
bash
d_bash_9646
--- +++ @@ -2,9 +2,13 @@ # Deploy to a Strongloop compatible API endpoint. # # Add the following environment variables to your project configuration. +# * SL_NPM_BUILD_VER +# * SL_NPM_DEPLOY_VER # * SL_DEPLOY_URL # # Include in your builds via +SL_BUILD_VERSION=${SL_NPM_BUILD_VER:?'latest'} +SL_DEPLOY_VERSION=$...
bash
d_bash_9647
--- +++ @@ -8,6 +8,7 @@ train() { python3 train.py \ --train_steps 1000 \ + --eval_steps 50 \ --train_file $data_dir/train.tfrecords \ --eval_file $data_dir/validation.tfrecords \ --output_dir $var_dir/output
bash
d_bash_9648
--- +++ @@ -2,7 +2,7 @@ # This script is a convenience affording one-command brain erasure. set -xe docker-compose stop -docker-compose rm -f --all +docker-compose rm -f docker-compose up -d sleep 7 docker-compose exec database createdb -h localhost -U postgres timewebsite
bash
d_bash_9649
--- +++ @@ -1,22 +1,6 @@ #!/bin/bash set -eu - -# FIXME: Remove this once we have resolved the performance issues resulting -# in the SMOKE_TESTS org taking longer than 30 seconds to delete. -( - cd "$(pwd)/cf-release/src/smoke-tests/" - expected_commit_hash="03093de70a9f63f44e0cde15adcccc1281c8da42" - curren...
bash
d_bash_9650
--- +++ @@ -31,7 +31,8 @@ ./bin/test \ -keepGoing \ -progress \ - -timeout=1h30m \ + -timeout=1h15m \ + -flakeAttempts=3 \ -randomizeAllSpecs \ -skipPackage=helpers \ -skip="${SKIP_REGEX}" \
bash
d_bash_9651
--- +++ @@ -1,3 +1,4 @@ #!/bin/sh +rm -f chrome.zip zip -r chrome.zip . -x .\* -x makezip.sh
bash
d_bash_9652
--- +++ @@ -7,6 +7,16 @@ # Prüfen, ob Datenbank schon existiert if [ -e $FILE ]; then + if [ ! -d questions/fixtures ]; + then + mkdir questions/fixtures + fi + + if [ ! -d userauth/fixtures ]; + then + mkdir userauth/fixtures + fi + echo "Export data from database: $FILE" # Daten exportieren python manage...
bash
d_bash_9653
--- +++ @@ -1,7 +1,10 @@ databaseName="MCP" -sudo echo "Enter root database password for the following. (Hit enter if blank)" +currentDir="$(dirname $0)" + +echo "Enter root database password for the following. (Hit enter if blank)" + echo MCPServer -sudo mysql -p --execute="source ../src/MCPServer/share/mysql" "$d...
bash
d_bash_9654
--- +++ @@ -13,5 +13,7 @@ echo "Making..." make +cd .. + echo "Finished."
bash
d_bash_9655
--- +++ @@ -1,7 +1,13 @@ +#!/usr/bin/env bash + sudo apt-get install -yq libdouble-conversion-dev libssl-dev make zip git autoconf libtool g++ libboost-all-dev libevent-dev flex bison libgoogle-glog-dev scons libkrb5-dev libsnappy-dev libsasl2-dev libnuma-dev +# Change directory to location of this script +cd "$(d...
bash
d_bash_9656
--- +++ @@ -1,11 +1,41 @@ #!/usr/bin/env sh + +script_exit_code=0 +step_count=1 + +check_result(){ + desc=$1 + shift + "$@" + exit_code=$? + if [ $exit_code -ne 0 ];then + echo "[TravisScript] Step $step_count: Error running step \"$desc\" command \"$@\"" + script_exit_code=$step_count +...
bash
d_bash_9657
--- +++ @@ -9,7 +9,7 @@ echo "https://github.com/bell-sw/Liberica/releases/download/11.0.16.1+1/bellsoft-jdk11.0.16.1+1-linux-amd64.tar.gz" ;; java17) - echo "https://github.com/bell-sw/Liberica/releases/download/17.0.4+8/bellsoft-jdk17.0.4+8-linux-amd64.tar.gz" + echo "https://github.com/bell-sw/Liberica...
bash
d_bash_9658
--- +++ @@ -11,7 +11,7 @@ local validFunctions=() while read line; do - if [[ ${line} == *\(\){ ]]; then + if [[ ${line} == *\(\){ && ! ${line} =~ @ignore ]]; then validFunctions+=($(StringUtil strip line \(\)\{)) fi done < ${file}
bash
d_bash_9659
--- +++ @@ -2,6 +2,6 @@ logadm -w '/var/log/redis/redis.log' -A 7d -p 1d -c -N -o redis -g redis -m 640 -logadm -w '/var/log/dovecot/main' -A 7d -p 1d -c -N -o dovecot -g dovecotnull -m 640 -logadm -w '/var/log/dovecot/info' -A 7d -p 1d -c -N -o dovecot -g dovecotnull -m 640 -logadm -w '/var/log/dovecot...
bash
d_bash_9660
--- +++ @@ -1,4 +1,6 @@ LS_COLORS="di=00;34:ln=00;35:so=00;32:pi=01;33:ex=00;31:bd=00;34" -export GREP_COLOR='1;33' -# [ "$TERM" = "xterm" ] && TERM="xterm-256color" -alias ls='ls --color=auto' +if [[ "$(uname)" == "Darwin" ]]; then + alias ls='ls -FHG' +elif [[ "$(expr substr $(uname -s) 1 5)" == "Linux" ]]; then +...
bash
d_bash_9661
--- +++ @@ -6,19 +6,18 @@ echo DS3_SECRET_KEY ${DS3_SECRET_KEY} echo DS3_ACCESS_KEY ${DS3_ACCESS_KEY} -echo "cd /opt" +set -x + cd /opt if [ ${GIT_BRANCH} != "master" ]; then - echo git clone ${GIT_REPO} --branch ${GIT_BRANCH} --single-branch git clone ${GIT_REPO} --branch ${GIT_BRANCH} --single-branch e...
bash
d_bash_9662
--- +++ @@ -11,14 +11,6 @@ TMP=`mktemp -d -t tmp` TAUS=10 - -# Noise levels for each type of noise, to produce a chart with the -# correct range to fit the chart and produce the canonical slope. -wpm=0.525 -fpm=0.41 -wfm=0.575 -ffm=0.4 -rwfm=0.4 export CONVERT="convert -density 1200 -resize 600x600"
bash
d_bash_9663
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash +pip3 install --user requests # pip itself may require requests. pip3 install --user --upgrade routes ppp_core pip3 install --user --upgrade git+https://github.com/ProjetPP/ExamplePPPModule-Python.git
bash
d_bash_9664
--- +++ @@ -14,10 +14,10 @@ git clone git://github.com/ros/console_bridge.git (cd console_bridge; cmake .; make && sudo make install) # Install urdfdom_headers - hg clone https://bitbucket.org/osrf/urdfdom_headers + git clone https://github.com/ros/urdfdom_headers.git (cd urdfdom_headers; cmake .; make ...
bash
d_bash_9665
--- +++ @@ -3,8 +3,4 @@ export JHIPSTER_REPO=https://github.com/jhipster/generator-jhipster.git # you can put: master, latest, v3.9.1, vX.Y.Z export JHIPSTER_BRANCH=latest -export JHIPSTER_NODE_CACHE=1 - -export PROFILE=dev -export RUN_APP=1 -export PROTRACTOR=0 +export JHIPSTER_NODE_CACHE=0
bash
d_bash_9666
--- +++ @@ -1,13 +1,13 @@ #!/usr/bin/env bash if [ "$TRAVIS_NODE_VERSION" == "4" ]; then if [ "$TRAVIS_PULL_REQUEST" == "false" -o "$TRAVIS_BRANCH" == "master" -a "$TRAVIS_PULL_REQUEST" != "false" ]; then - echo -e "'\033[1;33m'Running unit tests on SauceLabs...'\033[0m'" + echo -e "\033[1;33mRun...
bash
d_bash_9667
--- +++ @@ -28,8 +28,8 @@ cd $dir mvn $debug -Dtycho.disableP2Mirrors=true -Dmaven.test.failure.ignore=true -U install maven_return=$? -if [ $maven_return == 0 ]; then - mvn -Daggregate=true surefire-report:report-only +if [[ $maven_return == 0 ] && [ "${INCLUDE_TESTS}" == "true" ]]; then + mvn -Dtycho.disableP...
bash
d_bash_9668
--- +++ @@ -1,8 +1,5 @@ #!/bin/bash -curl -L -O http://mcranmer.com/data/bf_test_files.tar.gz -if [[ "$?" != "0" ]]; then - curl -L -O https://fornax.phys.unm.edu/lwa/data/bf_test_files.tar.gz -fi +curl -L -O https://fornax.phys.unm.edu/lwa/data/bf_test_files.tar.gz tar xzf bf_test_files.tar.gz mv for_test_suite d...
bash
d_bash_9669
--- +++ @@ -17,20 +17,24 @@ cgroups="$HOME/cgroups" mount=true -{ - while read dev loc type opts rest; do - [[ $type = cgroup ]] || continue - cgroups=$loc - mount=false - break - done < /proc/self/mounts - - if [[ $mount = true ]]; then - mkdir -p "$cgroups" - mount -t cgroup -o cpu xxx "$cgroups" -...
bash
d_bash_9670
--- +++ @@ -6,7 +6,7 @@ NUM_THREADS=4 cd "${SOURCE_DIR}" -export MAVEN_OPTS="-Xms128m -Xmx512m" +export MAVEN_OPTS="-Xms128m -Xmx1g" source /etc/profile.d/devtoolset-6.sh || true sh ./bootstrap.sh java mvn install -nsu -B -T ${NUM_THREADS} -V # Should ideally split out test phase, but some unit tests fails on ...
bash
d_bash_9671
--- +++ @@ -1,9 +1,11 @@ #!/bin/sh DEFINES="" [ "$1" = "test" ] && DEFINES="-DFOR_VALGRIND -g" || DEFINES="-DNDEBUG -O2" -i686-w64-mingw32-g++ $DEFINES -std=c++11 -Wall -DWIN32 -mno-ms-bitfields -static -static-libgcc -I. ./client.cpp ./crypto/sha2.cpp -lwsock32 -lmingwthrd -o relaynetworkclient.exe && + +( g++ $D...
bash
d_bash_9672
--- +++ @@ -3,7 +3,7 @@ [ -z $MAKE ] && MAKE=make [ -z $GIT ] && GIT=git [ -z $MC_BOPOMOFO_REPO ] &&\ - MC_BOPOMOFO_REPO=git://github.com/OpenVanilla/McBopomofo.git + MC_BOPOMOFO_REPO=https://github.com/openvanilla/McBopomofo.git [ -z ${TMPDIR} ] && TMPDIR=./
bash
d_bash_9673
--- +++ @@ -3,9 +3,11 @@ cd $WORKSPACE/configuration/util/jenkins/ pip install -r check_celery_progress/requirements.txt +. ./assume-role.sh -. util/jenkins/assume-role.sh # Assume the role +set +x assume-role ${ROLE_ARN} +set -x python missing_alerts_checker.py --new-relic-api-key ${NEW_RELIC_API_KEY}
bash
d_bash_9674
--- +++ @@ -6,19 +6,18 @@ echo DS3_SECRET_KEY ${DS3_SECRET_KEY} echo DS3_ACCESS_KEY ${DS3_ACCESS_KEY} -echo "cd /opt" +set -x + cd /opt if [ ${GIT_BRANCH} != "master" ]; then - echo git clone ${GIT_REPO} --branch ${GIT_BRANCH} --single-branch git clone ${GIT_REPO} --branch ${GIT_BRANCH} --single-branch e...
bash
d_bash_9675
--- +++ @@ -3,4 +3,4 @@ git fetch docker run --rm -e ZULIP_CLI_TOKEN -v ~/.config:/home/akvo/.config -v "$(pwd)":/app \ - -it akvo/akvo-devops:20200701.075253.7c93843 promote-test-to-prod.sh rsr rsr-version akvo-rsr zulip + -it akvo/akvo-devops:20200810.101049.f106b48 promote-test-to-prod.sh rsr rsr-version akv...
bash
d_bash_9676
--- +++ @@ -19,8 +19,8 @@ git fetch --all git checkout -b gh-pages --track origin/gh-pages -rsync -avrP --ignore-existing /tmp/crawled/* crawled/ -rsync -avrP --ignore-existing /tmp/static/* ./ +rsync -avP --update /tmp/crawled/* crawled/ +rsync -avP --update /tmp/static/* ./ git add . git commit -m "[Travi...
bash
d_bash_9677
--- +++ @@ -3,7 +3,7 @@ URL_GEOJSON="http://ville.montreal.qc.ca/circulation/sites/ville.montreal.qc.ca.circulation/files/cameras-de-circulation.json" -base_dir=${1:-mtlcam} +base_dir=${1:-images} full_dir="${base_dir}/$(date +'%y%m%d/%H%M%S')" cache="${base_dir}/cameras-de-circulation.json" max_concurrency=$...
bash
d_bash_9678
--- +++ @@ -19,7 +19,7 @@ popd cp asm/inspect.js ./aomanalyzer.js else - cmake ../ -DAOM_TARGET_CPU=generic -DCONFIG_MULTITHREAD=0 -DCONFIG_RUNTIME_CPU_DETECT=0 -DCONFIG_ACCOUNTING=1 -DCONFIG_INSPECTION=1 -DENABLE_DOCS=0 -DCONFIG_WEBM_IO=0 -DCONFIG_UNIT_TESTS=0 -DCMAKE_TOOLCHAIN_FILE=$(em-config EMSCRIPTEN_RO...
bash
d_bash_9679
--- +++ @@ -15,8 +15,11 @@ --storage-driver=vfs \ "$@" else - if [ -f "/var/run/docker.sock" ]; then - chown 1000:1000 /var/run/docker.sock + if [ -S "/var/run/docker.sock" ]; then + docker_gid=$(ls -la /var/run/docker.sock | awk '{print $4}') + groupadd -g $docker_gid docker +...
bash
d_bash_9680
--- +++ @@ -1,11 +1,12 @@ #!/bin/bash -e -PROJECT="$(basename `pwd`)" -BUCKET="tf-status" +BUCKET= "tf-status" +PROJECT="$1" +REGION="eu-west-1" init() { - if [ -d .terraform ]; then - if [ -e .terraform/terraform.tfstate ]; then + if [ -d ${PROJECT}/.terraform ]; then + if [ -e ${PROJECT}/.terraform/...
bash
d_bash_9681
--- +++ @@ -9,13 +9,22 @@ cd "${OS_ROOT}/_output" if [ -d etcd ]; then - cd etcd - git fetch origin -else - git clone https://github.com/coreos/etcd.git - cd etcd + pushd etcd >/dev/null + ./build + popd >/dev/null + exit fi -git checkout $(go run ${OS_ROOT}/hack/version.go ${OS_ROOT}/G...
bash
d_bash_9682
--- +++ @@ -11,5 +11,10 @@ mkdir node_modules ln -s ../.. node_modules/matrix-react-sdk npm install + (cd node_modules/matrix-js-sdk && npm install) + +# https://github.com/webpack/webpack/issues/1472 workaround +(cd node_modules/matrix-react-sdk && npm install source-map-loader) + npm run test
bash
d_bash_9683
--- +++ @@ -7,9 +7,9 @@ then if [ "$LOG" == "file" ] then - nohup dockerd -H 0.0.0.0:2375 -H unix:///var/run/docker.sock --storage-driver=vfs $DOCKER_DAEMON_ARGS &>/var/log/docker.log & + nohup dockerd -H 0.0.0.0:2375 -H unix:///var/run/docker.sock --storage-driver=overlay $DOCKER_DAEMON_ARGS &>/var/log/do...
bash
d_bash_9684
--- +++ @@ -5,6 +5,16 @@ # (Xvfb is not used by poltergeist/phantomjs) if [ "${CAPYBARA_DRIVER}" = "selenium" ] || [ "${CAPYBARA_DRIVER}" = "selenium_chrome" ]; then /etc/init.d/xvfb start +fi + + +# if the common mount is there +if [ -d /common ]; then + # link it under the cucumber env + COMMON='/capyb...
bash
d_bash_9685
--- +++ @@ -2,7 +2,7 @@ # NOTE: The file contains script for starting up Darzee's supporting services. # NOTE Starting Prometheus in background -nohup /./prometheus/bin/prometheus --config.file=/prometheus/etc/prometheus/prometheus.yml 2> prometheus_logs.txt & +nohup /./prometheus/bin/prometheus --config.file=/p...
bash
d_bash_9686
--- +++ @@ -4,6 +4,7 @@ alias batcloud="ssh gabo@batcloud.me -p 10101" alias clipper="ssh alcaras@sas.eleves.ens.fr" alias trensmissions="ssh -A -t alcaras@sas.eleves.ens.fr ssh -A alcaras@www.trensmissions.ens.fr" +alias zsh_stats="fc -l 1 | awk '{CMD[\$2]++;count++;}END { for (a in CMD)print CMD[a] \" \" CMD[a]/...
bash
d_bash_9687
--- +++ @@ -15,7 +15,7 @@ atom_dir=~/git/dotfiles/atom gnome_dir=~/git/dotfiles/gnome # This determines if you want to push your backup to git -push_to_git = true +push_to_git=true timestamp=$(date +"%m-%d-%Y") ########
bash
d_bash_9688
--- +++ @@ -18,7 +18,7 @@ # TODO(vignatti): maybe we should remove the OZONE_ prefix from all header # guards and activate -FILTERS="-build/header_guard" +FILTERS="+build,-build/header_guard,+whitespace,+readability,+legal,+runtime" cpplint.py --filter="$FILTERS" $(find \ \( -na...
bash
d_bash_9689
--- +++ @@ -4,6 +4,7 @@ # Licensed under the MIT License. See License.txt in the project root for license information. # If root, ensure that --user-data-dir is specified +ARGS=$@ if [ "$(id -u)" = "0" ]; then while test $# -gt 0 do @@ -33,5 +34,5 @@ ELECTRON="$VSCODE_PATH/@@NAME@@" CLI="$VSCODE_PATH/res...
bash
d_bash_9690
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash yesterday=`date --date="3 days ago" +"%Y%m%d"` year=`date --date="3 days ago" +"%Y"` -faxbox_logs="/faxbox/group/logs/jobs" +faxbox_logs="/mnt/logs/jobs" curr_dir=`pwd` cd $1 ./generate_process_submit.py --startdate $yesterday --enddate $yesterday --location /tmp/faxbox_logs ...
bash
d_bash_9691
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u282-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u282b08.tar.gz" + echo "https://github.com/AdoptOpenJDK/openjdk8-binaries/releases/download/jdk8u292-b10/OpenJDK8U-jdk_x64_linux_hotspot_8u292b...
bash
d_bash_9692
--- +++ @@ -17,4 +17,5 @@ exit 1 fi -mvn ${params} clean site:jar -Dgpg.skip=false -Dgpg.keyname=${key} deploy +mvn ${params} clean site:jar -P sonatype-oss-release -Dgpg.keyname=${key} deploy +
bash
d_bash_9693
--- +++ @@ -5,6 +5,8 @@ runInDocker() { docker run --rm -v $PWD:/src $IMAGE_NAME "$@" } + +rm -f Gemfile.lock # can screw up ruby env in container echo "Building Docker image for testing" echo "-----"
bash
d_bash_9694
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -mongoimport -d Midgar -c application --drop application.json -mongoimport -d Midgar -c applicationAuthorization --drop applicationAuthorization.json -mongoimport -d Midgar -c customRole --drop customRole.json +mongoimport -d 02f7abaa9764db2fa3c1ad852247cd4ff06b2c0a -c application...
bash
d_bash_9695
--- +++ @@ -17,7 +17,7 @@ WORKFLOWS_ROOT=$( cd $THIS/../.. ; /bin/pwd ) export EMEWS_PROJECT_ROOT -export MODEL_NAME="p1b1" +export MODEL_NAME="infer" CFG_SYS=$THIS/cfg-sys-1.sh $EMEWS_PROJECT_ROOT/swift/workflow.sh $SITE -a $CFG_SYS $THIS/upf-infer.txt
bash
d_bash_9696
--- +++ @@ -12,11 +12,10 @@ print -Pn "\ek$a:$3\e\\" # screen title (in ^A") ;; ansi) - print -Pn "\e]2;$2:$3\a" # plain xterm title ($3 for pwd) + print -Pn "\e]2;%n@$2:$3\a" # plain xterm title ($3 for pwd) ;; xterm*|rxvt) - print -Pn "\e]2;$2:$3\a" # plain xterm title ($3 for pwd) + ...
bash
d_bash_9697
--- +++ @@ -5,7 +5,7 @@ add-apt-repository ppa:openjdk-r/ppa apt-get update -apt-get install -y wget openjdk-7-jdk openjdk-8-jdk +apt-get install -y --force-yes wget openjdk-7-jdk openjdk-8-jdk TOMCAT_7=7.0.61 TOMCAT_8=8.0.21
bash
d_bash_9698
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +set -e TIMESTAMP_FORMAT="+%Y-%m-%d %H:%M:%S" ROOT_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)" @@ -8,11 +10,11 @@ if [ -f $ROOT_PATH/local_update_config ]; then $ROOT_PATH/local_update_config fi - + echo --------------------------------- >> $LOG_FILE ...
bash
d_bash_9699
--- +++ @@ -13,6 +13,6 @@ -v $cache_dir/rust/cargo/registry:/home/rust/.cargo/registry \ -v $cache_dir/rust/target:/ui/target \ --workdir /ui \ - ekidd/rust-musl-builder:nightly \ + ekidd/rust-musl-builder:stable \ bash -c 'sudo chown -R rust:rust /home/rust/.cargo /ui/target; \ ...
bash